package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.Menu;

import java.util.List;

/**
 * 菜单表
 */
public interface MenuService {
    /**
     * 查询所有父菜单菜单数据
     *
     * @return
     */
    List<Menu> queryAllParentMenu();

    /**
     * 查询所有单菜单数据
     *
     * @return
     */
    List<Menu> queryAllMenu(String name);

    /**
     * 根据单个id查询菜单数据
     *
     * @param id
     * @return
     */
    Menu queryById(Long id);

    /**
     * 根据父菜单id查询菜单数据
     *
     * @param parentId
     * @return
     */
    List<Menu> queryByParentId(Long parentId);

    /**
     * 根据id集合查询菜单
     *
     * @param ids
     * @return
     */
    List<Menu> queryByIds(List<Long> ids);

    /**
     * 新增菜单
     *
     * @param menu
     * @return
     */
    int saveMenu(Menu menu);

    /**
     * 删除菜单
     *
     * @param id
     * @return
     */
    int removeById(Long id);

    /**
     * 更新菜单
     * @param menu
     * @return
     */
    int modifyMenu(Menu menu);

}
